summaryrefslogtreecommitdiffstats
path: root/t/recipes/checks/maintainer-scripts/generated/scripts-maintainer-script-classification/build-spec/debian/postinst
diff options
context:
space:
mode:
Diffstat (limited to 't/recipes/checks/maintainer-scripts/generated/scripts-maintainer-script-classification/build-spec/debian/postinst')
-rw-r--r--t/recipes/checks/maintainer-scripts/generated/scripts-maintainer-script-classification/build-spec/debian/postinst33
1 files changed, 33 insertions, 0 deletions
diff --git a/t/recipes/checks/maintainer-scripts/generated/scripts-maintainer-script-classification/build-spec/debian/postinst b/t/recipes/checks/maintainer-scripts/generated/scripts-maintainer-script-classification/build-spec/debian/postinst
new file mode 100644
index 0000000..1004a3a
--- /dev/null
+++ b/t/recipes/checks/maintainer-scripts/generated/scripts-maintainer-script-classification/build-spec/debian/postinst
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+set -e
+
+#DEBHELPER#
+# Automatically added by dh_fake_lintian_tool
+if [ "$1" = configure ]; then
+ echo do something ...
+fi
+# End automatically added section
+
+# Automatically added by dh_fake_lintian_tool_versioned/1.0
+if [ "$1" = configure ]; then
+ echo do something ...
+fi
+# End automatically added section
+
+# dh_python tools adds a ":" after for some reason. Ignore it
+# Automatically added by dh_fake_python3:
+if [ "$1" = configure ]; then
+ echo do something else ...
+fi
+# End automatically added section
+
+# Again, now pretending it has a version
+# Automatically added by dh_fake_python3_versioned/1.0:
+if [ "$1" = configure ]; then
+ echo do something else ...
+fi
+# End automatically added section
+
+
+exit 0